using CoreLibrary;
using CoreLibrary.Regles;

namespace MauiSpark.Pages;

public partial class ModePage : ContentPage
{
    public ModePage()
	{
        NavigationPage.SetHasNavigationBar(this, false);

        InitializeComponent();
	}

	private void QuandReglesPresse(Object sender, EventArgs e)
	{
        Partie partie;

        if (sender.Equals(ReglesClassiques))
            partie = new Partie(new ReglesClassiques());
        else
            return;

        partie.DemanderNom += new ConnexionPage().QuandDemanderNom;
        partie.NouveauTour += new PlateauPage().QuandNouveauTour;
        partie.PartieTerminee += new Victoire().QuandPartieTerminee;

        MauiProgram.Manageur.NouvellePartie(partie);

        partie.Jouer();
    }
}